# Maintainer: Uri Herrera <uri_herrera@nxos.org>

pkgname=nitrux-plymouth-theme-git
_gitname=nitrux-plymouth-theme
pkgver=123
pkgrel=1
pkgdesc="NX Menu for Plasma 5."
arch=("x86_64")
url="https://github.com/Nitrux/nitrux-plymouth-theme"
license=('GPL')
depends=('plymouth')
makedepends=('git' 'cmake' 'extra-cmake-modules')
source=("git://github.com/Nitrux/nitrux-plymouth-theme.git/")
sha1sums=('SKIP')

pkgver() {
   cd ${_gitname}
   git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
   echo 123
}

build() {
   cd ${_gitname}

   mkdir build && cd build
   cmake .. \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_PREFIX=Release \
    -DLIB_INSTALL_DIR=lib
}

package() {
     make -C ${_gitname}/build DESTDIR=${pkgdir} install
}